Subject: Re: [lp-wan] Tsvart last call review of draft-ietf-lpwan-schc-over-lorawan-13

From: Olivier Gimenez <[email-masked]>
Date: Mon, 4 Jan 2021 11:03:09 +0000

Hi Ian,

Thank you for your review. I updated the document with you suggestions, please see this commit<https://github.com/Acklio/schc-over-lorawan/commit/acb2abb9f2b681d20f02d8ed643d01b7d0ff918b>.

I will gave another look at RFC8724 cross referencing. Regarding the reference to RFC8376, it does not detail LoRaWAN message types, so I added a reference to the LoRaWAN specification

I wish you all the best for 2021

Best regards

Olivier

> -----Original Message-----

> From: Ian Swett via Datatracker <[email-masked]>

> Sent: 05 November 2020 00:02

> To: [email-masked]

> Cc: [email-masked]; [email-masked]; lp-

> [email-masked]

> Subject: Tsvart last call review of draft-ietf-lpwan-schc-over-lorawan-13

> Warning - External Email

> ________________________________

> Reviewer: Ian Swett

> Review result: Ready with Nits

> This document has been reviewed as part of the transport area review team's

> ongoing effort to review key IETF documents. These comments were written

> primarily for the transport area directors, but are copied to the document's

> authors and WG to allow them to address any issues raised and also to the IETF

> discussion list for information.

> When done at the time of IETF Last Call, the authors should consider this review

> as part of the last-call comments they receive. Please always CC tsv-<mailto:[email-masked]>

> [email-masked]<mailto:[email-masked]> if you reply to or forward this review.

> This document looked to be in good shape, but I'm quite unfamiliar with SCHC,

> so hopefully others who are have also reviewed this.

> An overall comment is that this document could use more cross-refs to specific

> sections of RFC8724

> Some nits below:

> Section 2

>    o  SCHC gateway: It corresponds to the LoRaWAN Application Server.

>       It manages translation between IPv6 network and the Network

>       Gateway (LoRaWAN Network Server).

>   Nit: "It corresponds to" seems unnecessary and isn't parallel with other

>   definitions.  How about: "The LoRaWAN Application Server that manages ..."?

> Section 4.3

>    As SCHC defines its own acknowledgment mechanisms, SCHC does not

>    require to use LoRaWAN Confirmed frames.

>   This sentence is awkward.  Do you mean ", SCHC does not require the use of

>   LoRaWAN Confirmed Frames".

>   Also, it may be worth adding cross-references to the appropriate section of

>   RFC8376 for all of these frame types?

> Section 5.1

>    A fragmented datagram with application payload transferred from

>    device to Network Gateway, is called uplink fragmented datagram.  It

>   "Is called an uplink fragmented datagram."?

To view our privacy policy, including the types of personal information we collect, process and share, and the rights and options you have in this respect, see www.semtech.com/legal.